VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
SpeakerArray Class Reference

Helper class representing speaker arrangement as array of speaker types. More...

`#include <vstspeakerarray.h>`

## Public Types
enum | { kMaxSpeakers = 64 }
typedef uint64 | SpeakerType

## Public Member Functions
| SpeakerArray (SpeakerArrangement arr=0)
int32 | total () const
SpeakerType | at (int32 index) const
void | setArrangement (SpeakerArrangement arr)
SpeakerArrangement | getArrangement () const
int32 | getSpeakerIndex (SpeakerType which) const

## Protected Attributes
int32 | count
SpeakerType | speaker [kMaxSpeakers]

## Detailed Description

Helper class representing speaker arrangement as array of speaker types.

## Member Typedef Documentation

typedef uint64 SpeakerType

## Member Enumeration Documentation

anonymous enum

Enumerator
kMaxSpeakers |

## Constructor & Destructor Documentation

SpeakerArray | ( | SpeakerArrangement | arr = `0` | ) |
| inline

## Member Function Documentation

int32 total | ( |  | ) | const
| inline

SpeakerType at | ( | int32 | index | ) | const
| inline

void setArrangement | ( | SpeakerArrangement | arr | ) |
| inline

SpeakerArrangement getArrangement | ( |  | ) | const
| inline

int32 getSpeakerIndex | ( | SpeakerType | which | ) | const
| inline

## Member Data Documentation

int32 count
| protected

SpeakerType speaker[kMaxSpeakers]
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.